gio-0.13.1.0: Binding to the GIO.

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Icons.ThemedIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype ThemedIcon = ThemedIcon (ForeignPtr ThemedIcon)
- class GObjectClass o => ThemedIconClass o
- themedIconNew :: ByteString -> IO ThemedIcon
- themedIconNewFromNames :: GlibString string => [string] -> IO ThemedIcon
- themedIconPrependName :: (ThemedIconClass icon, GlibString string) => icon -> string -> IO ()
- themedIconAppendName :: (ThemedIconClass icon, GlibString string) => icon -> string -> IO ()
- themedIconGetNames :: (ThemedIconClass icon, GlibString string) => icon -> IO [string]

# Details

`ThemeIcon` specifies an icon by pointing to an image file to be used as icon.

# Types

newtype ThemedIcon Source

Constructors

ThemedIcon (ForeignPtr ThemedIcon) |

Instances

Eq ThemedIcon Source |
Ord ThemedIcon Source |
GObjectClass ThemedIcon Source |
ThemedIconClass ThemedIcon Source |

class GObjectClass o => ThemedIconClass o Source

Instances

ThemedIconClass ThemedIcon Source |

# Methods

themedIconNew Source

Arguments

:: ByteString | `iconname` a string containing an icon name.
-> IO ThemedIcon |

Creates a new icon for a file.

themedIconNewFromNames Source

Arguments

:: GlibString string |
=> [string] | `iconnames` an array of strings containing icon names.
-> IO ThemedIcon |

Creates a new themed icon for iconnames.

themedIconPrependName Source

Arguments

:: (ThemedIconClass icon, GlibString string) |
=> icon |
-> string | `iconname` name of icon to prepend to list of icons from within icon.
-> IO () |

Prepend a name to the list of icons from within icon.

themedIconAppendName Source

Arguments

:: (ThemedIconClass icon, GlibString string) |
=> icon |
-> string | `iconname` name of icon to append to list of icons from within icon.
-> IO () |

Append a name to the list of icons from within icon.

themedIconGetNames Source

Arguments

:: (ThemedIconClass icon, GlibString string) |
=> icon |
-> IO [string] | returns a list of icon names.

Gets the names of icons from within icon.